#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <revirt/rlog.h>
#include <revirt/ztrace.h>

int main(int argc, char * argv[]) {
    int fd, r;
    struct ztrace_state_struct state;

    if(argc != 2) {
	fprintf(stderr, "Usage: %d filename\n");
	exit(1);
    }
    if((fd = open(argv[1], O_RDONLY))<0) {
	perror("open");
	exit(1);
    }
    r=read(fd, &state, sizeof(state));
    while(r) {
	print_state(&state);
	printf("-----\n");
    	r=read(fd, &state, sizeof(state));
    }
    return 0;
}
