#!/bin/bash
. config

EXTYPE=log
if [ "$EXNUM" ] ; then
        EXFILE=$EXTYPE.$EXNUM ;
        LOGFILE=$LOGBASE.$EXNUM ;
else
        EXFILE=$EXTYPE ;
        LOGFILE=$LOGBASE ;
fi

# --- Code starts here!!! ---
echo Starting log run

echo  "- Stopping kupdated..."
kill -STOP `pidof kupdated`
echo " ...and syncing disks"
sync

echo  "- Starting rlogd, sending to $LOGFILE"
echo $VM_RLOGD $LOGFILE
$VM_RLOGD $LOGFILE > $UMLHOME/logs/$EXFILE.rlogd &

echo - Watching hda
$VM_UNDO $UMLHOME/logs/$EXFILE.undo $UMLHOME/$NODE/hda/media &

echo  "- Waiting for someone else to start lilo (i.e., you)"
#cd $UMLHOME/$NODE
#echo $FAKEFRONT $VM_LOG '>' $UMLHOME/logs/$EXFILE.con
#echo Canged dir to $PWD
#echo About to execute "$VM_LOG > $UMLHOME/logs/$EXFILE.con &"
#$VM_LOG > $UMLHOME/logs/$EXFILE.con &

while [ -z "$VMPID" ] ; do
	VMPID=`pidof lilo` ;
done

echo  - Setting up net forwarding $VMIP
cd $UMLHOME
sleep 15
$NET_RUN &

RLOGDPID=`pidof rlogd`
LOGPID=`pidof log`

echo rlogd $RLOGDPID
echo logpid $LOGPID
echo vmpid $VMPID
