#!/bin/bash
. config

EXTYPE=run
if [ "$EXNUM" ] ; then
        EXFILE=$EXTYPE.$EXNUM ;
else
        EXFILE=$EXTYPE ;
fi

# --- Code starts here!!! ---
echo Starting normal run

echo  "- Stopping kupdated..."
kill -STOP `pidof kupdated`
echo " ...and syncing disks"
sync

if [ "$WRAW"=="yes" ] ; then
	echo - Watching hda
	cp -f $UMLHOME/logs/undo $UMLHOME/logs/undo.bak
	$VM_UNDO $UMLHOME/logs/undo $UMLHOME/$NODE/hda/media &
fi

#echo  - Starting fakeumlfront, piping to $EXFILE.log
cd $UMLHOME/$NODE
#$FAKEFRONT $VM_RUN > $UMLHOME/logs/$EXFILE.con &
echo Canged dir to $PWD
echo About to execute "$VM_RUN > $UMLHOME/logs/$EXFILE.con &"
$VM_RUN > $UMLHOME/logs/$EXFILE.con &

while [ -z "$VMPID" ] ; do
	VMPID=`pidof lilo` ;
done

echo  - Setting up net forwarding $VMIP

cd $UMLHOME
sleep 10
$NET_RUN

echo vmpid $VMPID
echo fakepid $FAKEPID

echo  - Waiting for vm to shut down
wait $VMPID

echo  "- UMLinux finished. Grepping /var/log/messages for markers."

grep "ztrace_marker: pid $VMPID" /var/log/messages > $UMLHOME/logs/$EXFILE.marker

if [ "$WRAW"=="yes" ] ; then
	echo "Killing watchfile..."
	kill -INT `pidof $VM_UNDO_CMD`
fi

echo "- Starting kupdated again..."
kill -CONT `pidof kupdated`
echo " ...and syncing disks"
sync

echo Removing old map files in /tmp/umlinux/\*$VMPID
rm -rf /tmp/umlinux/*$VMPID


echo Normal run finished.
