/*
 * include/revirt/perfctr.h - function prototypes for perfctr functions
 *
 * Copyright (C) 2002 George Dunlap
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <linux/types.h>

void perfctr_set_evtsel(struct intstruct x);
void perfctr_get_evtsel(struct intstruct * x);
void perfctr_set_ctr(s64 x);
void perfctr_get_ctr(s64 * x);

void save_perfctr_regs(struct task_struct * prev);
void restore_perfctr_regs(struct task_struct * next);
void perfctr_enable_counters(void);
void perfctr_clear_counters(void);
void perfctr_enable_counters_tsk(struct task_struct * tsk);
void perfcntr_enable_overflow_tsk(struct task_struct * tsk);
void perfcntr_disable_overflow_tsk(struct task_struct * tsk);

